﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace RelationKey
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.gridGroupingControl1.DataSource = GetTable();


            this.gridGroupingControl1.QueryCellStyleInfo += gridGroupingControl1_QueryCellStyleInfo;
            this.gridGroupingControl1.TableControlCurrentCellShowingDropDown += gridGroupingControl1_TableControlCurrentCellShowingDropDown;
        }

        void gridGroupingControl1_TableControlCurrentCellShowingDropDown(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlCurrentCellShowingDropDownEventArgs e)
        {
            //Set the Size for DropDown Grid
            e.Inner.Size = new Size(500,500);
        }

        void gridGroupingControl1_QueryCellStyleInfo(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableCellStyleInfoEventArgs e)
        {
            if (e.TableCellIdentity.Column !=null && e.TableCellIdentity.Column.Name == "name" && e.TableCellIdentity.RowIndex == 7)
            {
                e.Style.CellType = GridCellTypeName.DropDownGrid;
            }
        }

        public DataTable GetTable()
        {
            DataTable dt = new DataTable("Client");
            dt.Columns.Add(new DataColumn("sno", typeof(int)));
            dt.Columns.Add(new DataColumn("name", typeof(string)));

            DataRow row;
            for(int i=0;i<10;i++)
            {
                row = dt.NewRow();
                for (int j = 0; j < dt.Columns.Count; j++)
                {
                    if(j%2==0)
                    {
                        row[j] = i;
                    }
                    else
                    {
                        row[j] = "row" + i;
                    }
                }
                dt.Rows.Add(row);
            }
            return dt;
        }
    }
}
